# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           turpial
Version:        1.6.6
Release:        4%{?dist}
Summary:        Cool twitter client with many features and very light
Group:          Applications/Internet
License:        GPLv3
URL:            http://turpial.org.ve
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:        http://turpial.org.ve/files/sources/stable/turpial-%{version}.tar.gz
Source1:        %{name}.1.gz
BuildRequires:  python-babel, python2-devel, python-setuptools
Requires:       python-setuptools, python-simplejson, notify-python, pygtk2, pywebkitgtk, gnome-python2-gtkspell,gstreamer-python,pywebkitgtk
BuildArch:      noarch

%description
Twitter client written in Python. Lightweight, functional and integrated
to desktop user.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
sed -i 's/share\/doc\/turpial/share\/doc\/turpial-%{version}/' setup.py
sed -i 's/\.\//share\/doc\/turpial-%{version}/' setup.py
%{__python} setup.py compile_catalog  
%{__python} setup.py install --root %{buildroot} 
%{__mkdir} -p %{buildroot}%{_mandir}/man1
%{__install} -p -D -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang 
%defattr(-,root,root,-)
%attr(0644,root,root) %{_datadir}/doc/%{name}-%{version}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/turpial.png
%attr(0755,root,root) %{_bindir}/*
%{python_sitelib}/*
%attr(0755,root,root) %{python_sitelib}/turpial/main.py
%attr(0755,root,root) %{python_sitelib}/turpial/api/services/uploadpic/pyTweetPhoto.py
%{_mandir}/man1/%{name}.1.gz

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 02 2011 Richzendy <richzendy@fedoraproject.org> - 1.6.6-3
- Fix to bug 758979, 758992 in bugzilla

* Sun Nov 27 2011 Richzendy <richzendy@fedoraproject.org> - 1.6.6-2
- Fix to bug 757524 in bugzilla

* Fri Nov 25 2011 Richzendy <richzendy@fedoraproject.org> - 1.6.6-1
- New stable release, minor spec changes, change in the description of the package based on the README.rst file

* Thu May 26 2011 Richzendy <richzendy@fedoraproject.org> - 1.5.0-1
- New release, minor spec changes

* Sat Aug 14 2010 Richzendy <richzendy@fedoraproject.org> - 1.3.4-1
- Update and changes based on the comments in
https://bugzilla.redhat.com/show_bug.cgi?id=592733#c10

* Sat Jun 24 2010 Richzendy <richzendy@fedoraproject.org> - 1.3.3-2
- fix in version, the previous version was a beta and the developer 
mistakenly released it as a stable, this is the real stable version 1.3.3 

* Sat Jun 19 2010 Richzendy <richzendy@fedoraproject.org> - 1.3.3-1
- Changes based on the comments in 
https://bugzilla.redhat.com/show_bug.cgi?id=592733#c6  

* Sat May 22 2010 Richzendy <richzendy@fedoraproject.org> - 1.3.2-2.a1
- fix to bugzilla, see bugzilla bug number 592733

* Sat May 22 2010 Richzendy <richzendy@fedoraproject.org> - 1.3.2-a1.1
- fix to bugzilla, see bugzilla bug number 592733

* Thu May 11 2010 Richzendy <richzendy@fedoraproject.org> - 1.3.2-a1
- Change url to turpial project and upgrade/clean spec file, see a changelog file for specific changelog package details

* Sat May 1 2010 Richzendy <richzendy@fedoraproject.org> - 1.0-1
- Package for this version, see a Changelog file for specific version details

* Sat Feb 27 2010 Richzendy <richzendy@fedoraproject.org> - 1.0-b1
- Package for this version and upgrade/clean spec file, see a changelog file for specific details

* Fri Jan 22 2010 Richzendy <richzendy@fedoraproject.org> - 0.9.2
- Initial package 
